### Method

# GLib Scanner scope_add_symbol

#### Declaration

    void
    g_scanner_scope_add_symbol (
      GScanner* scanner,
      guint scope_id,
      const gchar* symbol,
      gpointer value
    )

#### Description

Adds a symbol to the given scope.

#### Parameters

`scope_id`

  Type: `guint`

  The scope id.

`symbol`

  Type: `const gchar*`

  The symbol to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gpointer`

  The value of the symbol.

  The argument can be `NULL`.
  The data is owned by the caller of the method.